RECINS(1)

NOME
recins - insere registros em um arquivo rec

SINOPSE
recins [OPÇÃO]... [-t TIPO] [-n NÚM | -e EXPR_REGISTRO | -q TEXTO | -m NÚM] [(-f NOME -v TEXTO) | -r DADOS-REC]... [ARQUIVO]

DESCRIÇÃO
Insere novos registros em um banco de dados rec.

-f, --field=TEXTO
    nome do campo; deve ser seguido por -v.

-v, --value=TEXTO
    valor do campo; deve vir após um -f.

-r, --record=TEXTO
    registro que será inserido no arquivo.

--force
    insere o registro mesmo se isso foi uma violação das restrições do registro.

--no-external
    não usa descritores externos.

--no-auto
    não insere campos gerados automaticamente.

--verbose
    fornece um relatório detalhado se a verificação de integridade falhar.

-s, --password=TEXTO
    criptografa campos confidenciais com a SENHA.

--help
    mostra uma mensagem de ajuda e sai.

--version
    mostra a versão e sai.

  Opções de seleção de registros:

-i, --case-insensitive
    diferencia textos entre maiúsculo e minúsculo nas expressões de seleção.

-t, --type=TIPO
    opera em registros apenas do tipo especificado.

-e, --expression=EXPR_REGISTRO
    expressão de seleção.

-q, --quick=TEXTO
    seleciona registros com campos contendo um texto.

-n, --number=NÚM,...
    seleciona registros por posição, com intervalos.

-m, --random=NÚM
    seleciona um número dado de registros aleatórios.

Se nenhum ARQUIVO for especificado, então o comando age como um filtro, obtendo dados da saída padrão e escrevendo o resultado na saída padrão.

AUTOR
Escrito por Jose E. Marchesi.

RELATANDO PROBLEMAS
Relate erros para: bug-recutils@gnu.org
Página do GNU recutils: <http://www.gnu.org/software/recutils/>
Ajuda geral no uso de software GNU: <http://www.gnu.org/gethelp/>

DIREITOS AUTORAIS
Copyright © 2010-2019 Jose E. Marchesi. Licença GPLv3+: GNU GPL versão 3 ou posterior <http://gnu.org/licenses/gpl.html>.
Este é um software livre: você é livre para alterá-lo e redistribuí-lo. NÃO HÁ QUALQUER GARANTIA, na máxima extensão permitida em lei.

VEJA TAMBÉM
A documentação completa para recins é mantida como um manual Texinfo. Se os programas info e recins estiverem instalados apropriadamente em sua máquina, o comando

    info recutils

deve lhe dar acesso ao manual completo.

TRADUÇÃO
A tradução para português brasileiro desta página man foi criada por Rafael Fontenelle <rafaelff@gnome.org>

Esta tradução é uma documentação livre; leia a Licença Pública Geral GNU Versão 3 (https://www.gnu.org/licenses/gpl-3.0.html) ou posterior para as condições de direitos autorais. Nenhuma responsabilidade é aceita.

Se você encontrar algum erro na tradução desta página de manual, envie um e-mail para a lista de discussão de tradutores (debian-l10n-portuguese@lists.debian.org).